# calbuilder-woodpecker
Woodpecker action to build a package, analyze it with `namcap`, and output the package file (signed or unsigned) and its `.SRCINFO`.

This action supports PKGBUILDs that have AUR dependencies.

## Table of contents
  - [Inputs and outputs](#inputs-and-outputs)
  - [Usage](#usage)
  - [Contributing](#contributing)
  - [License](#license)

## Inputs and outputs
### Inputs:
* `pkgDir`: relative path to the PKGBUILD directory.
* `gpgPublicKey`: GPG public key that will be used to sign packages.
* `gpgPrivateKey`: GPG private key.
* `gpgPassphrase`: GPG passphrase of `gpgPrivateKey`.

It is recommended to store `gpgPrivateKey` and `gpgPassphrase` as secrets (see [Usage](#usage)).

None of these inputs are required. 

### Outputs:
* `srcInfo`: Generated `.SRCINFO`.
* `pkgFile`: Built package file.

## Usage
```yaml
steps:
  webhook:
    image: slococo/calbuilder
    settings:
      pkgDir: "libxft-bgra"
      gpgPublicKey: "199980CE93F18E62"
      gpgPrivateKey:
	from_secret: GPG_PRIVATE_KEY
      gpgPassphrase:
	from_secret: GPG_PASSPHRASE
```

## Contributing
PRs are welcome.

## License
[MIT](https://git.slc.ar/slococo/calbuilder/src/branch/master/LICENSE.md)
